=== removed file 'storage/myisam/mi_log.c'
--- storage/myisam/mi_log.c	2008-08-11 04:55:59 +0000
+++ storage/myisam/mi_log.c	1970-01-01 00:00:00 +0000
@@ -1,140 +0,0 @@
-/* Copyright (C) 2000-2001, 2004 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-/*
-  Logging of MyISAM commands and records on logfile for debugging
-  The log can be examined with help of the myisamlog command.
-*/
-
-#include "myisamdef.h"
-
-#undef GETPID					/* For HPUX */
-#define GETPID() (log_type == 1 ? (long) myisam_pid : (long) my_thread_dbug_id())
-
-	/* Activate logging if flag is 1 and reset logging if flag is 0 */
-
-static int log_type=0;
-uint32_t myisam_pid=0;
-
-int mi_log(int activate_log)
-{
-  int error=0;
-  char buff[FN_REFLEN];
-
-  log_type=activate_log;
-  if (activate_log)
-  {
-    if (!myisam_pid)
-      myisam_pid=(uint32_t) getpid();
-    if (myisam_log_file < 0)
-    {
-      if ((myisam_log_file = my_create(fn_format(buff,myisam_log_filename,
-						"",".log",4),
-				      0,(O_RDWR | O_BINARY | O_APPEND),MYF(0)))
-	  < 0)
-	return(my_errno);
-    }
-  }
-  else if (myisam_log_file >= 0)
-  {
-    error=my_close(myisam_log_file,MYF(0)) ? my_errno : 0 ;
-    myisam_log_file= -1;
-  }
-  return(error);
-}
-
-
-	/* Logging of records and commands on logfile */
-	/* All logs starts with command(1) dfile(2) process(4) result(2) */
-
-void _myisam_log(enum myisam_log_commands command, MI_INFO *info,
-		 const uchar *buffert, uint length)
-{
-  uchar buff[11];
-  int old_errno;
-  uint32_t pid=(uint32_t) GETPID();
-  old_errno=my_errno;
-  memset(buff, 0, sizeof(buff));
-  buff[0]=(char) command;
-  mi_int2store(buff+1,info->dfile);
-  mi_int4store(buff+3,pid);
-  mi_int2store(buff+9,length);
-
-  pthread_mutex_lock(&THR_LOCK_myisam);
-  VOID(my_write(myisam_log_file,buff,sizeof(buff),MYF(0)));
-  VOID(my_write(myisam_log_file,buffert,length,MYF(0)));
-  pthread_mutex_unlock(&THR_LOCK_myisam);
-  my_errno=old_errno;
-}
-
-
-void _myisam_log_command(enum myisam_log_commands command, MI_INFO *info,
-			 const uchar *buffert, uint length, int result)
-{
-  uchar buff[9];
-  int old_errno;
-  uint32_t pid=(uint32_t) GETPID();
-
-  old_errno=my_errno;
-  buff[0]=(char) command;
-  mi_int2store(buff+1,info->dfile);
-  mi_int4store(buff+3,pid);
-  mi_int2store(buff+7,result);
-  pthread_mutex_lock(&THR_LOCK_myisam);
-  VOID(my_write(myisam_log_file,buff,sizeof(buff),MYF(0)));
-  if (buffert)
-    VOID(my_write(myisam_log_file,buffert,length,MYF(0)));
-  pthread_mutex_unlock(&THR_LOCK_myisam);
-  my_errno=old_errno;
-}
-
-
-void _myisam_log_record(enum myisam_log_commands command, MI_INFO *info,
-			const uchar *record, my_off_t filepos, int result)
-{
-  uchar buff[21],*pos;
-  int old_errno;
-  uint length;
-  uint32_t pid=(uint32_t) GETPID();
-
-  old_errno=my_errno;
-  if (!info->s->base.blobs)
-    length=info->s->base.reclength;
-  else
-    length=info->s->base.reclength+ _my_calc_total_blob_length(info,record);
-  buff[0]=(uchar) command;
-  mi_int2store(buff+1,info->dfile);
-  mi_int4store(buff+3,pid);
-  mi_int2store(buff+7,result);
-  mi_sizestore(buff+9,filepos);
-  mi_int4store(buff+17,length);
-  pthread_mutex_lock(&THR_LOCK_myisam);
-  VOID(my_write(myisam_log_file, buff,sizeof(buff),MYF(0)));
-  VOID(my_write(myisam_log_file, record,info->s->base.reclength,MYF(0)));
-  if (info->s->base.blobs)
-  {
-    MI_BLOB *blob,*end;
-
-    for (end=info->blobs+info->s->base.blobs, blob= info->blobs;
-	 blob != end ;
-	 blob++)
-    {
-      memcpy(&pos, record+blob->offset+blob->pack_length, sizeof(char*));
-      VOID(my_write(myisam_log_file,pos,blob->length,MYF(0)));
-    }
-  }
-  pthread_mutex_unlock(&THR_LOCK_myisam);
-  my_errno=old_errno;
-}

=== modified file 'storage/myisam/myisamdef.h'
--- storage/myisam/myisamdef.h	2008-08-11 04:55:59 +0000
+++ storage/myisam/myisamdef.h	2008-08-11 05:13:09 +0000
@@ -742,7 +742,7 @@
 int flush_blocks(MI_CHECK *param, KEY_CACHE *key_cache, File file);
 
 int sort_write_record(MI_SORT_PARAM *sort_param);
-int _create_index_by_sort(MI_SORT_PARAM *info,bool no_messages, ulong);
+int _create_index_by_sort(MI_SORT_PARAM *info,bool no_messages, uint32_t);
 
 extern void mi_set_index_cond_func(MI_INFO *info, index_cond_func_t func,
                                    void *func_arg);

=== modified file 'storage/myisam/sort.c'
--- storage/myisam/sort.c	2008-08-09 06:20:11 +0000
+++ storage/myisam/sort.c	2008-08-11 05:13:09 +0000
@@ -96,7 +96,7 @@
 */
 
 int _create_index_by_sort(MI_SORT_PARAM *info,bool no_messages,
-			  ulong sortbuff_size)
+			  uint32_t sortbuff_size)
 {
   int error,maxbuffer,skr;
   uint memavl,old_memavl,keys,sort_length;
@@ -182,7 +182,7 @@
   if (maxbuffer == 0)
   {
     if (!no_messages)
-      printf("  - Dumping %lu keys\n", (ulong) records);
+      printf("  - Dumping %u keys\n", (uint32_t) records);
     if (write_index(info,sort_keys, (uint) records))
       goto err; /* purecov: inspected */
   }
@@ -192,7 +192,7 @@
     if (maxbuffer >= MERGEBUFF2)
     {
       if (!no_messages)
-	printf("  - Merging %lu keys\n", (ulong) records); /* purecov: tested */
+	printf("  - Merging %u keys\n", (uint32_t) records); /* purecov: tested */
       if (merge_many_buff(info,keys,sort_keys,
                   dynamic_element(&buffpek,0,BUFFPEK *),&maxbuffer,&tempfile))
 	goto err;				/* purecov: inspected */
@@ -469,8 +469,8 @@
 {
   SORT_INFO *sort_info= sort_param->sort_info;
   MI_CHECK *param= sort_info->param;
-  ulong length= 0, keys;
-  ulong *rec_per_key_part=param->rec_per_key_part;
+  uint32_t length= 0, keys;
+  ulong *rec_per_key_part= param->rec_per_key_part;
   int got_error=sort_info->got_error;
   uint i;
   MI_INFO *info=sort_info->info;

